ApiCreateEnvironment (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCreateEnvironment

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCreateEnvironment

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCreateEnvironment
      extends Object

  Arguments used to install CDP a Private Cloud Control Plane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCreateEnvironment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCreateEnvironment` | `clusterName(String clusterName)`
    `ApiCreateEnvironment` | `cmAddress(String cmAddress)`
    `ApiCreateEnvironment` | `cmPass(String cmPass)`
    `ApiCreateEnvironment` | `cmUser(String cmUser)`
    `ApiCreateEnvironment` | `envName(String envName)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterName()` Get clusterName
    `String` | `getCmAddress()` Get cmAddress
    `String` | `getCmPass()` Get cmPass
    `String` | `getCmUser()` Get cmUser
    `String` | `getEnvName()` Get envName
    `int` | `hashCode()`
    `void` | `setClusterName(String clusterName)`
    `void` | `setCmAddress(String cmAddress)`
    `void` | `setCmPass(String cmPass)`
    `void` | `setCmUser(String cmUser)`
    `void` | `setEnvName(String envName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCreateEnvironment

          public ApiCreateEnvironment()

  - ### Method Detail

    - #### cmUser

          public ApiCreateEnvironment cmUser(String cmUser)

    - #### getCmUser

          public String getCmUser()

      Get cmUser
      Returns:
        cmUser

    - #### setCmUser

          public void setCmUser(String cmUser)

    - #### cmPass

          public ApiCreateEnvironment cmPass(String cmPass)

    - #### getCmPass

          public String getCmPass()

      Get cmPass
      Returns:
        cmPass

    - #### setCmPass

          public void setCmPass(String cmPass)

    - #### cmAddress

          public ApiCreateEnvironment cmAddress(String cmAddress)

    - #### getCmAddress

          public String getCmAddress()

      Get cmAddress
      Returns:
        cmAddress

    - #### setCmAddress

          public void setCmAddress(String cmAddress)

    - #### clusterName

          public ApiCreateEnvironment clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      Get clusterName
      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### envName

          public ApiCreateEnvironment envName(String envName)

    - #### getEnvName

          public String getEnvName()

      Get envName
      Returns:
        envName

    - #### setEnvName

          public void setEnvName(String envName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.